/assign @carolinesimpson
/label ~"group::pipeline execution" ~"devops::verify" ~"section::ops" ~"type::ignore" ~"OpsSection::Weekly-Update" ~frontend ~backend
/confidential

<!-- REPLACE-WITH-QUICK-ACTIONS:CREATE -->

<!-- REPLACE-WITH-NAVIGATION-START:UPDATE -->
  <!-- REPLACE-WITH-NAVIGATION-START:CREATE -->
  <!-- REPLACE-WITH-NAVIGATION-END:CREATE -->
<!-- REPLACE-WITH-NAVIGATION-END:UPDATE -->

## Announcements :mega:

## Weekly Summary / TL;DR :stopwatch:
<!-- Provide 🟢 🟡 🔴 for error budget, deliverables, any key project updates, and anything else of note -->

## Highlights
<!-- Use the Highlight: prefix to have items automatically pulled into the Ops level report -->

## Key Project Updates

## Milestone Tracking :calendar:

<!-- REPLACE-WITH-TEAM-LINKS:CREATE -->
- [Active Issues](https://gitlab.com/groups/gitlab-org/-/boards/1372896)
- [Weekly Focus Planning Chart](https://docs.google.com/spreadsheets/d/1lNAggMHmNPUR0r4u6f1SkbBIJ0SRKfK9K9vEyYtvBsE/edit#gid=0)
- [Additional Team Responsibilities Rotation Schedule](https://handbook.gitlab.com/handbook/engineering/development/ops/verify/pipeline-execution/#rotation-schedule)

## Weekly Updates :pencil:

### Error Budget :bar_chart:
<!-- REPLACE-WITH-ERROR-BUDGET-START:UPDATE -->
<!-- REPLACE-WITH-ERROR-BUDGET:CREATE -->
<!-- REPLACE-WITH-ERROR-BUDGET-END:UPDATE -->

### Issues related to Reliability :chart_with_upwards_trend:

<!-- REPLACE-WITH-INFRADEV-ISSUES-START:UPDATE -->
<!-- REPLACE-WITH-INFRADEV-ISSUES:CREATE -->
<!-- REPLACE-WITH-INFRADEV-ISSUES-END:UPDATE -->
<!-- REPLACE-WITH-SECURITY-ISSUES-START:UPDATE -->
<!-- REPLACE-WITH-SECURITY-ISSUES:CREATE -->
<!-- REPLACE-WITH-SECURITY-ISSUES-END:UPDATE -->
<!-- REPLACE-WITH-CORRECTIVE-ACTION-ISSUES-START:UPDATE -->
<!-- REPLACE-WITH-CORRECTIVE-ACTION-ISSUES:CREATE -->
<!-- REPLACE-WITH-CORRECTIVE-ACTION-ISSUES-END:UPDATE -->
<!-- REPLACE-WITH-REQUEST-FOR-HELP-ISSUES-START:UPDATE -->
<!-- REPLACE-WITH-REQUEST-FOR-HELP-ISSUES:CREATE -->
<!-- REPLACE-WITH-REQUEST-FOR-HELP-ISSUES-END:UPDATE -->

----

### Going into the week

<!-- REPLACE-WITH-CAPACITY:CREATE -->
<!-- REPLACE-WITH-MILESTONE-CAPACITY:CREATE -->
<!-- REPLACE-WITH-ROLLOVER:CREATE -->
<!-- REPLACE-WITH-ISSUE-DISTRIBUTION:CREATE -->

### Issue Breakdown by Type - Pipeline Execution

<!-- REPLACE-WITH-DELIVERABLES-BREAKDOWN-START:UPDATE -->
<!-- REPLACE-WITH-DELIVERABLES-BREAKDOWN-START:CREATE -->
<!-- REPLACE-WITH-DELIVERABLES-BREAKDOWN-END:CREATE -->
<!-- REPLACE-WITH-DELIVERABLES-BREAKDOWN-END:UPDATE -->

<!-- REPLACE-WITH-ALL-ISSUES-BREAKDOWN-START:UPDATE -->
<!-- REPLACE-WITH-ALL-ISSUES-BREAKDOWN-START:CREATE -->
<!-- REPLACE-WITH-ALL-ISSUES-BREAKDOWN-END:CREATE -->
<!-- REPLACE-WITH-ALL-ISSUES-BREAKDOWN-END:UPDATE -->

##### MRs
<!-- REPLACE-WITH-MR-BREAKDOWN-START:UPDATE -->
<!-- REPLACE-WITH-MR-BREAKDOWN-START:CREATE -->
<!-- REPLACE-WITH-MR-BREAKDOWN-END:CREATE -->
<!-- REPLACE-WITH-MR-BREAKDOWN-END:UPDATE -->


*Note: Say/Do is calculated as closed of type / total (Deliverable) issues which are currently in the milestone.*

#### End of week progress snapshot

<!-- REPLACE-WITH-PROGRESS-SUMMARY:UPDATE -->
<details><summary>More info...</summary>

<!-- REPLACE-WITH-PROGRESS-DETAIL:CREATE -->

</details>
<!-- REPLACE-WITH-TEAM-ACTIVITY:CREATE -->


### OKRs :bar_chart:

<!-- REPLACE-WITH-OKR-TABLE:CREATE -->

---

### Hiring :ballot_box_with_check:

- No open roles currently.

---

### Relevant links
- [Async Retrospectives](https://gitlab.com/gl-retrospectives/verify-stage/pipeline-execution/-/issues/)
- [Support Help Requests](https://gitlab.com/groups/gitlab-com/ops-sub-department/-/issues/?label_name%5B%5D=Help%20group%3A%3Apipeline%20execution)
- [Ops Department Status Updates](https://gitlab.com/gitlab-com/ops-sub-department/ops-status-updates/-/issues)
- [Active Pipeline Issues](https://gitlab.com/gitlab-org/ci-cd/pipeline-execution/-/issues/?sort=created_date&state=opened&label_name%5B%5D=Planning%20Issue&first_page_size=20)

---

_This update was generated by the [weekly_update](https://gitlab.com/gitlab-org/ci-cd/ops-eng-managers/weekly-auto-async-group-update/-/tree/master/weekly_update) script in [ci-cd/ops-eng-managers/weekly-auto-async-group-update](https://gitlab.com/gitlab-org/ci-cd/ops-eng-managers/weekly-auto-async-group-update). Highlights are manually curated._

<details><summary><em>How does it work?</em></summary>

#### Where does the content come from?

Highlights and summaries are added manually; everything else is pulled from GitLab, Google, etc.

##### To this specific issue

This specific issue: Add content directly to the issue description, or you can add highlights by commenting on the highlights thread.

##### Format

Static content: Update [weekly-update.md](https://gitlab.com/gitlab-org/ci-cd/ops-eng-managers/weekly-auto-async-group-update/-/blob/master/.gitlab/issue_templates/pipeline-execution.md). Add any static content to the file to include it in the issue description when the issue is created.

Dynamic content: Rearrange the `REPLACE-ME` placeholder HTML comments. Placeholder comments can be either singleline or multiline. The placeholders are replaced by script-aggregated content.

- Required attributes:
  - `section`: all-caps name given to a chunk of markdown generated by the [weekly_update](https://gitlab.com/gitlab-org/ci-cd/ops-eng-managers/weekly-auto-async-group-update/-/tree/master/weekly_update) script.
    - `NAVIGATION` -> Link to previous/next update issue
    - `CAPACITY` -> PTO breakdown for Verify:Pipeline Execution team for the week
    - `MILESTONE-CAPACITY` -> PTO breakdown for Verify:Pipeline Execution team for the week
    - `ERROR-BUDGET` -> Current state of pipeline execution error budget
    - `ISSUE-DISTRIBUTION` -> Breakdown of team's focus by type label & epic
    - `PROGRESS-SUMMARY` -> Estimated % completion of scheduled issues by epic
    - `PROGRESS-DETAIL` -> Estimated % completion of each individual scheduled issue
    - `TEAM-ACTIVITY` -> Aggregated contributions for each team member over the last week
    - `ROLLOVER` -> Issues assigned to team members in expired milestones
    - `TEAM-LINKS` -> Link to planning issue & other team-specifics that change week to week
    - `QUICK-ACTIONS` -> Assigns milestone & other team-specifics that change week to week
    - `HIGHLIGHTS` -> List of comments from highlight thread (oldest thread to include the word "highlight" in the first comment)
  - `action`: determines when the comment will be replaced in the issue description.
    - `CREATE` - replaced when the issue is created
    - `UPDATE` - replaced at the end of the week
- Singleline format:
  - `<!-- REPLACE-WITH-<section>:<action> -->`
- Multiline format:
  - ```html
    <!-- REPLACE-WITH-<section>-START:<action> -->
    Anything here will also be replaced when the script runs.
    <!-- REPLACE-WITH-<section>-END:<action> -->
    ```

Adding threads: Add a multiline placeholder with `section` of `THREAD`. Content inside the block will be added as a thread on the issue, and it can include other placeholders.

##### Content

Run the [`Generate detailed weekly update issue`](https://gitlab.com/gitlab-org/ci-cd/ops-eng-managers/weekly-auto-async-group-update/-/pipeline_schedules) to trigger an update. Once an update has run, the pipeline can be run many
times without consequence to the existing issue. Refer to `Format > Dynamic content` for the syntax needed
to regenerate sections of the issue.

To modify how the content itself is generated, refer to [`weekly_update/README.md`](https://gitlab.com/gitlab-org/ci-cd/ops-eng-managers/weekly-auto-async-group-update/-/blob/master/weekly_update/README.md).

</details>